/***************************************************************/
/* TENTM software accompanying JCTVC-A119                      */
/* Copyright Tandberg, Ericsson, Nokia, 2010                   */
/***************************************************************/


#if !defined(_GETBITS_H_)
#define _GETBITS_H_

#include <stdio.h>

#if FAST_GETBITS

typedef struct
{
    /* bit input */
    FILE *infile;
    unsigned char rdbfr[2051];
    unsigned char *rdptr;
    unsigned int inbfr;
    int incnt;
    int bitcnt;
    int length;
} stream;

#else

typedef struct
{
    /* bit input */
    FILE *infile;
    unsigned char rdbfr[2051];
    unsigned char *rdptr;
    unsigned char inbfr[16];
    int incnt;
    int bitcnt;
    int length;
} stream;

#endif

int initbits_dec(FILE *infile, stream *str);
int fillbfr(stream *str);
unsigned int showbits(stream *str, int n);
unsigned int getbits1(stream *str);
int flushbits(stream *str, int n);
unsigned int getbits(stream *str, int n);
int getbyterest(stream *str);


#endif
