/***************************************************************/
/* TENTM software accompanying JCTVC-A119                      */
/* Copyright Tandberg, Ericsson, Nokia, 2010                   */
/***************************************************************/

#if !defined(_TRANSFORM_H_)
#define _TRANSFORM_H_

/* defined as static, so should not be needed in interface
   extern const int IQ_8x8[6];
*/

int dequantize_4x4(int **coeff,int quant,int chroma);
int inverse_transform_4x4(int **coeff,int **block,int quant,int chroma);

int dequantize_8x8(int **coeff,int quant,int chroma);
int inverse_transform_8x8(int **coeff,int **block,int quant,int chroma);

int inverse_transform_64x64(int **coeff,int **block,int quant,int chroma);
int inverse_transform_32x32(int **coeff,int **block,int quant,int chroma);


int inverse_transform_16x16(int **coeff,int **block,int quant,int chroma);

int dequantize_svt(int **coeff,int quant,int chroma);
int inverse_transform_svt(int **coeff,int **block,int quant,int chroma);
#endif

