/***************************************************************/
/* TENTM software accompanying JCTVC-A119                      */
/* Copyright Tandberg, Ericsson, Nokia, 2010                   */
/***************************************************************/

#if !defined(_MOTION_COMP_H_)
#define _MOTION_COMP_H_


int get_skip_mv_cand(encoder_info *encoderInfo,frame_info *frameInfo,macroblock_info *macroblockInfo,mvpos pred_arr[],int skip_ref_arr[]);

void find_mv_predictor(encoder_info *encoderInfo,frame_info *frameInfo,macroblock_info *macroblockInfo);

void ref_predictor(encoder_info *encoderInfo,frame_info *frameInfo,macroblock_info *macroblockInfo);

int interpolate_Y2Y(unsigned char **ip,
                    unsigned char **qp,
                    unsigned char **q2p,
                    const int rows,
                    const int cols);

int interpolate_Y(unsigned char **ip,unsigned char **qp,int rows,int cols);

int interpolate_C(unsigned char **ip,unsigned char **qp,int rows,int cols);

int interpolate_Y2(unsigned char **ip,unsigned char **qp,int rows,int cols);

void get_luma_inter_prediction_8x8(macroblock_info *macroblockInfo,int vy,int vx,image_frame **iprev,unsigned char pblockr[8][8]);

void get_chroma_inter_prediction_mb(macroblock_info *macroblockInfo,image_frame **iprev,unsigned char pblockr[8][8], int comp, int rounding);


#endif // _MOTION_COMP_H_