/***************************************************************/
/* TENTM software accompanying JCTVC-A119                      */
/* Copyright Tandberg, Ericsson, Nokia, 2010                   */
/***************************************************************/


#if !defined(_GETVLC_H_)
#define _GETVLC_H_

#include "global.h"
#include "getbits.h"
#include "tntmdec.h"



extern const int zigzag[64];

/* int get_coeff(stream *str, int intra, int *first); */
/* int get_uvlc(stream *str); */
int get_vlc(int n,stream *str);
int get_level(stream *str);
int get_uvlc_new(stream *str);
/* int get_vlc_8x8(int n,stream *str); */
int get_wlc(int n,stream *str);


int decode_side_intra(stream *str,int chroma);
int get_8x8(decoder_info *decoderInfo,stream *str,int **tcoeff,int n);
int get_4x4(decoder_info *decoderInfo,stream *str,int **tcoeff,int n);
int get_8x8_svt(decoder_info *decoderInfo,stream *str,int **tcoeff,int n);


/* int get_level_8x8(stream *str); */

#endif /* _GETVLC_H_ */
