/***************************************************************/
/* TENTM software accompanying JCTVC-A119                      */
/* Copyright Tandberg, Ericsson, Nokia, 2010                   */
/***************************************************************/


#define PADDING_Y 16

#define clip255(n) min(255,max(0,n))
#define clip3(n) min(255,max(0,n))

#define ME_TYPE_DIAMOND      0
#define ME_TYPE_FULL_SEARCH  1

typedef enum {COST_FUNC_SAD=0,COST_FUNC_DCT,COST_FUNC_RDO} COST_FUNC_TYPE;

typedef enum {PART_ALL=0,PART_UP,PART_DOWN,PART_LEFT,PART_RIGHT,PART_8x8_0,PART_8x8_1,PART_8x8_2,PART_8x8_3} partition;
typedef enum {DIR_UP,DIR_DOWN,DIR_LEFT,DIR_RIGHT,DIR_NONE} direction;

typedef enum {PRED_VER=0,PRED_HOR,PRED_DC,PRED_ANGULAR,PRED_COUNT} intrapred;

enum {BLOCK_U=0,BLOCK_V,BLOCK_Y8x8I,BLOCK_Y8x8P,BLOCK_Y8x8B,BLOCK_Y16x16I,BLOCK_Y16x16P,BLOCK_Y16x16B};

#define SVT_TABLE_SIZE 58

#define LMBYSIZE 64
#define LMBXSIZE 64
