/***************************************************************/
/* TENTM software accompanying JCTVC-A119                      */
/* Copyright Tandberg, Ericsson, Nokia, 2010                   */
/***************************************************************/

#if !defined(_INTRA_PRED_H_)
#define _INTRA_PRED_H_


void get_luma_intra_prediction_4x4(unsigned char *up_row, unsigned char *left_col,int dcval, int dir, unsigned char pblock[4][4]);

void get_luma_intra_prediction_16x16(encoder_info *encoderInfo,frame_info *frameInfo,macroblock_info *macroblockInfo,int dir, unsigned char pblock[16][16],int dcval16);

void get_chroma_intra_prediction_mb(unsigned char *urow, unsigned char *ucol, int dcvalu,
									int dir, unsigned char pblock[8][8], enc_params *params);

void get_planar_prediction(int upa, int lefta, int blkSize, int planarDelta, int ypos, int xpos, unsigned char **currFrame, unsigned char *planarBlk);

void get_directional_intrapred_8x8(unsigned char *up_row, unsigned char *left_col,int dcval, int dir, int intraPredAngle, unsigned char pblock[8][8]);

void get_intrapred_ref_samples(int lefta, int upa, int uprighta, int downlefta, int ypos, int xpos, unsigned char **recon, unsigned char *col, unsigned char *row);

void get_filtered_intrapred_ref_samples(int lefta, int upa, int uprighta, int downlefta, int ypos, int xpos, unsigned char **recon, unsigned char *col, unsigned char *row);


#endif // _INTRA_PRED_H_