/***************************************************************/
/* TENTM software accompanying JCTVC-A119                      */
/* Copyright Tandberg, Ericsson, Nokia, 2010                   */
/***************************************************************/

#if !defined(_MOTION_ESTIMATE_H_)
#define _MOTION_ESTIMATE_H_


void calculate_sums(image_frame *pad_prev,int rows,int cols);

mvpos get_mv_candidate(encoder_info *encoderInfo,frame_info *frameInfo,int vy2,int vx2,int *ref);

int early_skip_check_8x8(short threshold,unsigned char *org,unsigned char *rec,int stride);

int motion_estimate_coarse(encoder_info *encoderInfo,frame_info *frameInfo,macroblock_info *macroblockInfo);

int motion_estimate(encoder_info *encoderInfo,frame_info *frameInfo,macroblock_info *macroblockInfo,int,mb_mode);

extern int motion_estimateLMB(encoder_info *encoderInfo,frame_info *frameInfo,macroblock_info *macroblockInfo,int,mb_mode);


#endif // _MOTION_ESTIMATE_H_