/***************************************************************/
/* TENTM software accompanying JCTVC-A119                      */
/* Copyright Tandberg, Ericsson, Nokia, 2010                   */
/***************************************************************/

#ifndef __TNTMTYPES
#define __TNTMTYPES

typedef struct
{
    double y;
    double u;
    double v;
} snrvals;

typedef struct
{
    int rows, cols;
    int crows, ccols;
    unsigned char **Y, **U, **V;
    unsigned char *mv_bits;
    unsigned char *mv_bits_center;
    float *rd_lambda;
	unsigned char **Y2;
    unsigned short **SEA;	
} image_frame;

#endif
