/***************************************************************/
/* TENTM software accompanying JCTVC-A119                      */
/* Copyright Tandberg, Ericsson, Nokia, 2010                   */
/***************************************************************/



#if !defined(_PUTBITS_H_)
#define _PUTBITS_H_

#include <stdio.h>
#include "global.h"

typedef struct
{
    unsigned int bytesize;
    unsigned int bytepos;
    unsigned char *bitstream;
    unsigned int bitbuf;
    unsigned int bitrest;
    unsigned int bytecount;
    FILE *outfile;
} stream;

stream *initbits(FILE *outfile);
void flush_all_bits(stream *outfile);
void putbits(unsigned int n,unsigned int val,stream *str);
int bitcount(stream *str);
void flush_bytebuf(stream *str);
void flush_bitbuf(stream *str);
void closebits(stream *str);
void copyCodedStream(stream * destStream, stream *srcStream);

#endif
