/***************************************************************/
/* TENTM software accompanying JCTVC-A119                      */
/* Copyright Tandberg, Ericsson, Nokia, 2010                   */
/***************************************************************/



#if !defined(_PUTVLC_H_)
#define _PUTVLC_H_

#include "global.h"
#include "putbits.h"
#include "tntmenc.h"

extern const int zigzag[64];

unsigned int quote_uvlc(unsigned int cn);
unsigned int quote_level(int level);
unsigned int put_uvlc(unsigned int cn,stream *str);
unsigned int put_level(int level,stream *str);

int put_vlc(unsigned int n,unsigned int cn,stream *str);

int encode_coeffs_svt(encoder_info *encoderInfo,int coeff[4][16],stream *str,int *bits,int n,int adaptflag);
int encode_coeffs(encoder_info *encoderInfo,short coeff[8][8],stream *str,int *bits,int n,int adaptflag);
int encode_coeffs4(encoder_info *encoderInfo,short coeff[8][8],stream *str,int *bits,int n,int adaptflag);
int encode_side_intra(int side_intra, stream *str,int *bits,int chroma);
int put_vlc_8x8(unsigned int n,unsigned int cn,stream *str);

#endif
